Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns a data visualization of the user’s collection. The visualization is a pie chart that shows the distribution of the user’s collection by category. The categories are determined by the filter parameter.

Parameters

filter
string
The filter to apply to the collection for graph visualization. Options are rarity, variety, and status. Default is variety.
  curl -X GET https://api.onlydrams.app/api/v1/users/:id/collection/visualize \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN"
{
	"data": {
		"bourbon": {
			"percentage": 83.33,
			"bottles": 5
		},
		"rye": {
			"percentage": 16.67,
			"bottles": 1
		}
	}
}